package ca.uwaterloo.gp.editorlist;

/**********************************************************************
Copyright (c) 2002 IBM Corp.  All rights reserved.
This file is made available under the terms of the Common Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/cpl-v10.html
*********************************************************************/

import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IAdapterFactory;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.IEditorReference;
import org.eclipse.ui.IFileEditorInput;

/**
 * The adapter factory which the editor list view uses to get the IResource 
 * associated with an IEditorReference.
 */
public class EditorAdapterFactory implements IAdapterFactory {

	public Object getAdapter(Object adaptableObject, Class adapterType) {
		if (adaptableObject instanceof IEditorReference) {
			if (IResource.class.equals(adapterType)) {
				IEditorPart part = ((IEditorReference)adaptableObject).getEditor(true);
				if (part != null) {
					IEditorInput input = part.getEditorInput();
					if (input instanceof IFileEditorInput) {
						return ((IFileEditorInput) input).getFile();
					}
				}
			}
		}
		return null;
	}
	public Class[] getAdapterList() {
		return new Class[] { IResource.class };
	}

}
