package ca.uwaterloo.gp.editorlist;

/**********************************************************************
Copyright (c) 2002 IBM Corp.  All rights reserved.
This file is made available under the terms of the Common Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/cpl-v10.html
*********************************************************************/

import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.swt.graphics.Image;
import org.eclipse.ui.IEditorReference;

/**
 * Provides text and images for <code>EditorListElement</code>s in an
 * <code>EditorList</code> view.
 */
public class EditorListLabelProvider extends LabelProvider {

	/**
	 * A string used to indicate that an editor is dirty
	 */
	public static char DIRTY_INDICATOR= '*'; 

	/**
	 * @see ILabelProvider#getImage(Object)
	 */
	public Image getImage(Object element) {
		if (element instanceof EditorListElement) {
			return ((EditorListElement)element).getEditorReference().getTitleImage();
		}
		return super.getImage(element);
	}

	/**
	 * @see ILabelProvider#getText(Object)
	 */
	public String getText(Object element) {
		if (element instanceof EditorListElement) {
			IEditorReference reference= ((EditorListElement)element).getEditorReference();
			StringBuffer buffer= new StringBuffer();
			if (reference.isDirty()) {
				buffer.append(DIRTY_INDICATOR);
			}
			buffer.append(reference.getTitle());
			return buffer.toString();
		}
		return super.getText(element);
	}

}
