package ca.uwaterloo.gp.editorlist;

/**********************************************************************
Copyright (c) 2002 IBM Corp.  All rights reserved.
This file is made available under the terms of the Common Public License v1.0
which accompanies this distribution, and is available at
http://www.eclipse.org/legal/cpl-v10.html
*********************************************************************/

import org.eclipse.jface.action.Action;

/**
 * The RefreshEditorListAction refreshes the contents of
 * an <code>EditorList</code> view.
 */
public class RefreshEditorListAction extends Action {

	private EditorList view;

	public RefreshEditorListAction(EditorList viewPart) {
		setDescription(EditorListMessages.getString("RefreshEditorListAction.Refresh_editor_list_1")); //$NON-NLS-1$
		setText(EditorListMessages.getString("RefreshEditorListAction.Refresh_2")); //$NON-NLS-1$
		view= viewPart;
	}

	/**
	 * @see IAction#run()
	 */
	public void run() {
		view.refreshContents();
	}

}
